#########################################################
## QUOTA Development System Mode File                  ##
## Modified for STA1000 frontside device    12/14/2006 ##
## DGS                                                 ##
#########################################################

### Initialization stuff
mcbSeqEnable=0      # kill the sequencer run flag if set
BkplnSlct=0         # 0=6 slot backplane
ClkEnbl_cnb=1       # Enable clock board System clock
Reset_cnb=1         # reset the clock board
ClkPortData_cnb=0   # For bug in firmware, enable acces to the serial config stream
ClkEnbl_A00=1       # Enable acquistion board System clock
ClkEnbl_A01=1       # Enable acquistion board System clock
ClkEnbl_A10=1       # Enable acquistion board System clock
ClkEnbl_A11=1       # Enable acquistion board System clock
Reset_A00=1         # reset the acquisition board
Reset_A01=1         # reset the acquisition board
Reset_A10=1         # reset the acquisition board
Reset_A11=1         # reset the acquisition board

### Exposure Attribute setup
intTime=0.0       # default to 0 second
gdeIntTime=100    # default guide integration time 100 ms.

### OTA Configuration Stuff
arrayType=OTA
arrayID=STA1000
numOutputs=1
outputCfg=0         # One amplifier in lower left
pxlRows=4040        # number of active pixels in vertical direction 505 x 8 ((494 +11)x'OTA_Rows') 4040
pxlCols=4064        # number of active pixels in horizontal direction 480 + 28((480 + 28)x'OTA_Cols')
sciCellRows=494
sciCellCols=480
sciCellXOver=28
sciCellYOver=11
xPreScan=0          # number of prescan pixels - actually = 3 pixels??
xPostScan=0         # 28 pixels = vertical street width (28x'OTA_Rows') but set to 0 for de-scrambler
yPostScan=0         # 11 pixels = horizontal street width (11x'OTA_Rows') but set to 0 for de-scrambler
xStart[0]=1
yStart[0]=1
xStart[1]=4157
yStart[1]=1
mosaicRows=1
mosaicCols=2

### OTA Mode and Shift parameters
ModeClkOverlap=50   # 5us clock overlap for mode setting clocks
ShiftClkOverlap=50  # 5us clock overlap for parallel clock overlap
OtaFirmEnable=1     # Enable firmware control of DOP port for enable and parallel clocks
OtShiftClkOverlap=50 # Does the same as ShiftClkOverlap but for the emulation logic on the clock and bias board
OtaShiftEnable=1    # For shift emulation logic on clock and bias board

### Sequencer Attributes
Rows=505            # 494 rows + 11 post
Cols=508            # 480 cols + 28 post
RowBin=1
ColBin=1
GuideBoxSize=16
GuideBin=1
OTA_Rows=8
Wipes=2
mpuSeqClkDiv=0      # 50ns sequencer cycle time
contRun=0

### Data format
labSystem=3         # Set to 2 to use 'filename' as image prefix
imageFile=quota_dev # File Name prefix
rawPxlSize=4        # number of bytes in raw pixel value
finPxlSize=4        # number of bytes in finished pixel value
DoubleXfer=0        # 2 16-bit pixels per systran write
expVector=1         # 1=clear+readout, 2=clear only, 4=readout only
expMode=0           # mode of the exposure - Not significant for CCD usage
processMode=0       # 0=Sep, 1=add_F1toF2
frmsPerRdOut=1      # number of readouts for one single exposure
captureMode=1       # 0=normal, 1=Sep, 2=Blockread
avNameSIze=32       # max character length of attribute name
avValueSize=32      # max character length of attribute value
avCommentSize=64    # max character length of attribute comment
rdOutTime[]=1000    # 20 second timeout on reads
finDataType=16      # 2 bytes = 16 bits unsigned

### Clock board settings
P1MuxSlct_cnb=30     # This directs P1 for A00 to the test port P1
P2MuxSlct_cnb=28     # This directs RG for A00 to the test port P2

### Acquisition board settings
CdsReg_A00=x136     # quiescent state
CdsEnbl_A00=1       # enable CDS signals
XfrCnt_A00=8        # how many video channels are sent to the PAN
Redirect_A00_0=0
Redirect_A00_1=1
Redirect_A00_2=2
Redirect_A00_3=3
Redirect_A00_4=4
Redirect_A00_5=5
Redirect_A00_6=6
Redirect_A00_7=7 
PipeEnbl_A00=1      # send data to PAN as acquired
BurstEnbl_A00=0     # send data to PAN upon request
PipePriority_A00=0  # First acquisition board so highest priority. OTA A00 data arrives at pan first
DataWidth_A00=3     # 0=16 LSBs, 1=1-16bits, 2=16 MSBs, 3=18-bit data

CdsReg_A01=x136     # quiescent state
CdsEnbl_A01=1       # enable CDS signals
XfrCnt_A01=8        # how many video channels are sent to the PAN
Redirect_A01_0=0
Redirect_A01_1=1
Redirect_A01_2=2
Redirect_A01_3=3
Redirect_A01_4=4
Redirect_A01_5=5
Redirect_A01_6=6
Redirect_A01_7=7
PipeEnbl_A01=1      # send data to PAN as acquired
BurstEnbl_A01=0     # send data to PAN upon request
PipePriority_A01=1  # Second board to send video data
DataWidth_A01=3     # 0=16 LSBs, 1=1-16bits, 2=16 MSBs, 3=18-bit data

# Setup the telemetry attributes
TelShutdown_A00=0   # enable telemetry data for ccd acq board
TelShutdown_A01=0   # enable telemetry data for ccd acq board
TelShutdown_A10=0   # enable telemetry data for ccd acq board
TelShutdown_A11=0   # enable telemetry data for ccd acq board

DacClrMode2_A00=0   # Dacs reset to a value of zero volts
DacClrMode1_A00=0
DacClrMode0_A00=0
DacClrMode2_A01=0   # Dacs reset to a value of zero volts
DacClrMode1_A01=0
DacClrMode0_A01=0

### High Voltage Bias Settings (CCD ACQ Board)
RDDac_A00=8.5
SCPDac_A00=19.0
VDDHDac_A00=11.0
VDDLDac_A00=7.0
PSLDac_A00=2.0
PSHDac_A00=11.5
VSSDac_A00=-4.0    # VSS and GRD physically tied together on MIB
#GNDDac_A00=-4.0   # VSS and GRC physically tied together on MIB
OG1Dac_A00=-3.0
OG2Dac_A00=-3.0
SUBDac_A00=-4.0
DR0Dac_A00=18.0     # Output drain biases
DR1Dac_A00=18.0
DR2Dac_A00=18.0
DR3Dac_A00=18.0
DR4Dac_A00=18.0
DR5Dac_A00=18.0
DR6Dac_A00=18.0
DR7Dac_A00=18.0
SO0Dac_A00=2.50     # Output source biases
SO1Dac_A00=2.50
SO2Dac_A00=2.50
SO3Dac_A00=2.50
SO4Dac_A00=2.50
SO5Dac_A00=2.50
SO6Dac_A00=2.50
SO7Dac_A00=2.50

RDDac_A01=8.5
SCPDac_A01=19.0
VDDHDac_A01=11.0
VDDLDac_A01=7.0
PSLDac_A01=2.0
PSHDac_A01=11.5
VSSDac_A01=-4.0    # VSS and GRD physically tied together on MIB
#GNDDac_A01=-4.0   # VSS and GRC physically tied together on MIB
OG1Dac_A01=-3.0
OG2Dac_A01=-3.0
SUBDac_A01=-4.0
DR0Dac_A01=18.0     # Output drain biases
DR1Dac_A01=18.0
DR2Dac_A01=18.0
DR3Dac_A01=18.0
DR4Dac_A01=18.0
DR5Dac_A01=18.0
DR6Dac_A01=18.0
DR7Dac_A01=18.0
SO0Dac_A01=2.50     # Output source biases
SO1Dac_A01=2.50
SO2Dac_A01=2.50
SO3Dac_A01=2.50
SO4Dac_A01=2.50
SO5Dac_A01=2.50
SO6Dac_A01=2.50
SO7Dac_A01=2.50

### Video Input Settings
OS0AdcOfst_A00=0.000
OS1AdcOfst_A00=0.000
OS2AdcOfst_A00=0.000
OS3AdcOfst_A00=0.000
OS4AdcOfst_A00=0.000
OS5AdcOfst_A00=0.000
OS6AdcOfst_A00=0.000
OS7AdcOfst_A00=0.000
OS0AdcOfst_A01=0.000
OS1AdcOfst_A01=0.000
OS2AdcOfst_A01=0.000
OS3AdcOfst_A01=0.000
OS4AdcOfst_A01=0.000
OS5AdcOfst_A01=0.000
OS6AdcOfst_A01=0.000
OS7AdcOfst_A01=0.000

### ADC Config values  - set warp mode, low gain, no power down
OS0AdcCfg_A00=2
OS1AdcCfg_A00=2
OS2AdcCfg_A00=2
OS3AdcCfg_A00=2
OS4AdcCfg_A00=2
OS5AdcCfg_A00=2
OS6AdcCfg_A00=2
OS7AdcCfg_A00=2
OS0AdcCfg_A01=2
OS1AdcCfg_A01=2
OS2AdcCfg_A01=2
OS3AdcCfg_A01=2
OS4AdcCfg_A01=2
OS5AdcCfg_A01=2
OS6AdcCfg_A01=2
OS7AdcCfg_A01=2

### Clock DAC settings
BiasDac_cnb[]=0     # Set all unused clock and bias board biases to 0
P1_A00_lo=2.0
P1_A00_hi=11.5
P2_A00_lo=2.0
P2_A00_hi=11.5
P3_A00_lo=2.0
P3_A00_hi=11.5
P4_A00_lo=2.0
P4_A00_hi=11.5
S1_A00_lo=-5.5
S1_A00_hi=9.5
S2_A00_lo=-5.5
S2_A00_hi=9.5
S3_A00_lo=-6.0
S3_A00_hi=6.0
#SW_A00_lo=-6.0     # Physically tied to S3 on MIB
#SW_A00_hi=6.0      # Physically tied to S3 on MIB
RG_A00_lo=-5.0
RG_A00_hi=7.0

P1_A01_lo=2.0
P1_A01_hi=11.5
P2_A01_lo=2.0
P2_A01_hi=11.5
P3_A01_lo=2.0
P3_A01_hi=11.5
P4_A01_lo=2.0
P4_A01_hi=11.5
S1_A01_lo=-5.5
S1_A01_hi=9.5
S2_A01_lo=-5.5
S2_A01_hi=9.5
S3_A01_lo=-6.0
S3_A01_hi=6.0
RG_A01_lo=-5.0
RG_A01_hi=7.0

P1_A10_lo=2.0
P1_A10_hi=11.5
P2_A10_lo=2.0
P2_A10_hi=11.5
P3_A10_lo=2.0
P3_A10_hi=11.5
P4_A10_lo=2.0
P4_A10_hi=11.5
S1_A10_lo=-5.5
S1_A10_hi=9.5
S2_A10_lo=-5.5
S2_A10_hi=9.5
S3_A10_lo=-6.0
S3_A10_hi=6.0
RG_A10_lo=-5.0
RG_A10_hi=7.0

P1_A11_lo=2.0
P1_A11_hi=11.5
P2_A11_lo=2.0
P2_A11_hi=11.5
P3_A11_lo=2.0
P3_A11_hi=11.5
P4_A11_lo=2.0
P4_A11_hi=11.5
S1_A11_lo=-5.5
S1_A11_hi=9.5
S2_A11_lo=-5.5
S2_A11_hi=9.5
S3_A11_lo=-6.0
S3_A11_hi=6.0
RG_A11_lo=-5.0
RG_A11_hi=7.0

### Enable the Clocks and Biases - NOTE THE ORDER MAY BE IMPORTANT !!
HVBiasEnbl_A00=1        # Enable bias supplies to detector
OtModeReg_A00=0x1FFFF   # Do initial disable on array 0 and enable DOP port
HVBiasEnbl_A01=1        # Enable bias supplies to detector
OtModeReg_A01=0x1FFFF   # Do initial disable on array 1 and enable DOP port
ClockPortEnbl_cnb=1     # Enable clocks to detector
BiasEnbl0_cnb=0         # No biases used on clock board
BiasEnbl1_cnb=0         # No biases used on clock board
FBiasEnbl_cnb=1         # Fast bias on clock board used for shutter control

### Load OTA cell disable data
OtDisableReg_A00[7]=0x00      # Specify the cells to disable on OTA 0
OtDisableReg_A00[6]=0x00
OtDisableReg_A00[5]=0x00
OtDisableReg_A00[4]=0x00
OtDisableReg_A00[3]=0x00
OtDisableReg_A00[2]=0x00
OtDisableReg_A00[1]=0x00
OtDisableReg_A00[0]=0x00

OtDisableReg_A01[7]=0x00      # Specify the cells to disable on OTA 1
OtDisableReg_A01[6]=0x00
OtDisableReg_A01[5]=0x00
OtDisableReg_A01[4]=0x00
OtDisableReg_A01[3]=0x00
OtDisableReg_A01[2]=0x00
OtDisableReg_A01[1]=0x00
OtDisableReg_A01[0]=0x00

### Place all OTAs in standby after disabling the bad cells
OtModeReg_A00=0x2FFFF         # Set OTA cells to standby on OTA 0
OtModeReg_A01=0x2FFFF         # Set OTA cells to standby on OTA 1
OtModeReg_A10=0x2FFFF         # Set OTA cells to standby on OTA 2
OtModeReg_A11=0x2FFFF         # Set OTA cells to standby on OTA 3

### Condition the shift logic by running it once
ShiftCmd_A00=1
ShiftCmd_A01=1
ShiftCmd_A10=1
ShiftCmd_A11=1

### Configure the shutter
Shutter_Ctrl_hi=5.0           # Shutter clock high voltage level
Shutter_Ctrl_lo=0.0           # Shutter clock low voltage level
Shutter_State=0               # Shutter control bit

### Configure the lights
FpdpRcvDataValid=0  # fire sequencer LED on front panel when data received by systran
PanBusReq=0         # fire sequencer LED when PAN requesting write/read use of the sequencer bus
FpdpWrt=0           # fire pixel LED when sending any data to PAN
FpdpBusy=0          # fire pixel LED when systran is busy while sending data to PAN
PixDataRdy=0        # fire pixel LED when pixel data is in the fifo awaiting to be sent to the PAN
MpuSeqBusReq=1      # fire sequencer LED on front panel
PixDataRdy=1        # fire pixel LED when data ready to send to PAN
BrdSel_cnb=1        # Turn off / fire clock board LED when selected for read/write
BrdSel_A00=1        # Turn off / fire acquisition board LED when selected for read/write
CdsLoad_A00=0       # Turn off / fire acquisition board LED when CDS is loaded
DataXfer_A00=0      # Turn off / fire acquisition board LED when data is being transferred
BrdSel_A01=1        # Turn off / fire acquisition board LED when selected for read/write
CdsLoad_A01=0       # Turn off / fire acquisition board LED when CDS is loaded
DataXfer_A01=0      # Turn off / fire acquisition board LED when data is being transferred
BrdSel_A10=1        # Turn off / fire acquisition board LED when selected for read/write
CdsLoad_A10=0       # Turn off / fire acquisition board LED when CDS is loaded
DataXfer_A10=0      # Turn off / fire acquisition board LED when data is being transferred
BrdSel_A11=1        # Turn off / fire acquisition board LED when selected for read/write
CdsLoad_A11=0       # Turn off / fire acquisition board LED when CDS is loaded
DataXfer_A11=0      # Turn off / fire acquisition board LED when data is being transferred
D5LedCntrl_cnb=1    # Turn off the auxiliary lights on the clock board
CpldLedEnable_A00=1 # Turn off the cpld led on the acquisition boards
CpldLedEnable_A01=1
CpldLedEnable_A10=1
CpldLedEnable_A11=1

